Subject: Re: isearch-repeat-forward: wrong overlay after failure

From: Juri Linkov <[email-masked]>
Date: Mon, 12 May 2008 02:59:36 +0300

>>> Which I would call a reasonable expectation.  However, keybindings even
>>> in specialized keymaps need to be bound to interactive functions.  So if
>>> we have functions that are only intended for use in specialized keymaps,
>>> there is no way to keep people from binding them to normal keymaps.
>>>
>>> So it is sort of a combined documentation/expectation problem.  I have
>>> no good idea how to approach this.
>>
>> Maybe an error message that explains/points to an explanation?
>
> What should trigger an error here?

  (unless isearch-mode
    (error "This command doesn't work when isearch mode is not active"))

-- 
Juri Linkov
http://www.jurta.org/emacs/